const ListNode = require('../helpers/ListNode')
const {
  LinkedList: { insert, print }
} = require('../../../dist')

describe('Operations', () => {
  test('should do something', () => {
    let headNode = new ListNode(0)

    insert(headNode, 1)
    insert(headNode, 5)
    insert(headNode, 10)
    insert(headNode, 3)
    insert(headNode, 17)

    expect(print(headNode)).toEqual([0, 1, 5, 10, 3, 17])
  })
})
